/* $Id: advmode_page.h 29 2009-01-02 13:36:32Z mawerick $ */
/* AOCrayon - Chat color management tool for Anarchy Online
	Copyright (C) 2005 - 2009  Mawerick

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; version 2 of the License.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
#ifndef ADVMODE_PAGE_H
#define ADVMODE_PAGE_H

#include <QtGui>

class AdvancedModePage : public QWidget
{
	Q_OBJECT

public:
	AdvancedModePage( QWidget *parent = 0 );

	void setBGColor( const QColor &color );
	void updateColors();

protected slots:
	void pickColor( QTreeWidgetItem *item, int column );
	void pickColor();

protected:
	QVBoxLayout* BaseLayout;
	QTreeWidget* ColorsList;
	QPushButton* PickColorBtn;
	QLabel* AdvHelpLabel;

	QColor BGColor;
};

#endif // ADVMODE_PAGE_H
