/* $Id: main.cpp 29 2009-01-02 13:36:32Z mawerick $ */
/* AOCrayon - Chat color management tool for Anarchy Online
	Copyright (C) 2005 - 2009  Mawerick

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; version 2 of the License.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
#include "main_window.h"
#include "aocrayon.h"
#include "settings.h"
#include <QtGui>

int main( int argc, char ** argv )
{
	QApplication app( argc, argv );

	Prefs.load();

	app.setStyle( Prefs.get( "GUIStyle", "plastique" ).toString() );
	app.setFont( QFont( "Helvetica", 8 ) );

	MainWindow window( 0 );
	window.move( Prefs.get( "Position", QPoint( 10, 10 ) ).toPoint() );
	window.show();
	int r = app.exec();

	Prefs.save();

	return r;
}
